Page MenuHomeFreeBSD

update sysutils/go-wtf to version 0.29.0
ClosedPublic

Authored by hsw_bitmark.com on Apr 28 2020, 2:44 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 2, 5:17 PM
Unknown Object (File)
Jan 24 2024, 4:16 PM
Unknown Object (File)
Dec 20 2023, 6:25 AM
Unknown Object (File)
Dec 19 2023, 6:13 AM
Unknown Object (File)
Dec 13 2023, 6:42 AM
Unknown Object (File)
Nov 29 2023, 7:04 AM
Unknown Object (File)
Nov 29 2023, 7:04 AM
Unknown Object (File)
Nov 29 2023, 7:04 AM

Details

Summary

The program now uses go modules so add all the separate dependencies to GH_TUPLE
remove obsolete AARCH64 patch as this seems to be fixed upstream

Test Plan

poudriere testport -j 12_1-amd64 sysutils/go-wtf

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 31760
Build 29326: arc lint + arc unit

Event Timeline

You can also drop files/patch-gopsutil_aarch64

mikael requested changes to this revision.Jun 16 2020, 1:41 PM

Please remove files/patch-gopsutil_aarch64

===>  Patching for go-wtf-0.29.0
===>  Applying FreeBSD patches for go-wtf-0.29.0 from /usr/ports/sysutils/go-wtf/files
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd_arm64.go.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to vendor/github.com/shirou/gopsutil/disk/disk_freebsd_arm64.go.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to vendor/github.com/shirou/gopsutil/host/host_freebsd_arm64.go.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to vendor/github.com/shirou/gopsutil/process/process_freebsd_arm64.go.rej
===>  FAILED Applying FreeBSD patch-gopsutil_aarch64
===> FAILED to apply cleanly FreeBSD patch(es)  patch-gopsutil_aarch64
This revision now requires changes to proceed.Jun 16 2020, 1:41 PM
  • remove obsolete patches
  • update to 0.30.0
  • check using poudriere testport amd64 12.1
  • run on 12.1-RELEASE-p6 amd64 system to confirm program runs
This revision was not accepted when it landed; it landed in state Needs Review.Jun 18 2020, 9:22 AM
This revision was automatically updated to reflect the committed changes.